### Name: db.section.plot
### Title: Display 2-D surfaces along traces
### Aliases: db.section.plot
### Keywords: spatial htest hplot

### ** Examples

# Example due to N. Desassis: Perform a Kriging based on few (simulated)
# data and represent the kriged surface along a diagonal
set.seed(23)
nech   = 20
extend = 100
x1     = seq(1,nech) * floor(extend / (nech+1))
ypos   = floor(extend/2)
dat    = db.create(x1=x1,x2=rep(ypos,nech))
grid   = db.create(nx=c(extend,extend))
neigh  = neigh.create(type=0,ndim=2)
model  = model.create(vartype="Cubic",range=extend/5)
dat    = simtub(,dat,model)

res1 = kriging(dat,grid,model,neigh,flag.std=FALSE)
plot(res1,title="Data, Estimation and Section Trace")
plot(dat,name.post=1,add=TRUE)
abline(0,1)

x = matrix(c(0,extend,ypos,ypos),2)
db.section.plot(x,res1,dat,flag.fill=FALSE,radius=5,cols="blue",cex=1.5)



